
%define realname   Object-Array
%define version    0.060
%define release    %mkrel 2

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Array references with accessors
Source:     http://www.cpan.org/modules/by-module/Object/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}

BuildRequires: perl-devel
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(List::MoreUtils)

BuildArch: noarch

%description
Add methods to Object::Array corresponding to functions from
List::MoreUtils.

%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jan 22 2011 jquelin <jquelin> 0.060-2.mga1
+ Revision: 30984
- mageia rebuild
- imported package perl-Object-Array

